Page MenuHomePhabricator

Create scripts to take and restore snapshots of a wiki database
Closed, ResolvedPublic2 Story Points

Description

Create scripts to take and restore snapshots of a wiki database managed in a MediaWiki-Docker-Dev environment.

  • Create script which creates DB dump and saves with appropriately formatted name
  • Create script which loads DB dump file and loads into DB
    • Runs MW update.php

Open Questions:

  • Can this be done without adding a volume? Answer: yes, we can pipe the dump into and out of the container, if we use the -T option on docker-compose-exec.

Event Timeline

WDoranWMF triaged this task as Normal priority.Aug 12 2019, 3:11 PM
WDoranWMF created this task.
WDoranWMF set the point value for this task to 2.

Change 529981 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/tools/api-testing@master] Add scripts to take and restore database snapshots

https://gerrit.wikimedia.org/r/529981

daniel renamed this task from Ensure Wiki State is set as required to Create scripts to take and restore snapshots of a wiki database.Aug 14 2019, 4:25 PM
daniel updated the task description. (Show Details)

Change 529981 merged by Cicalese:
[mediawiki/tools/api-testing@master] Add scripts to take and restore database snapshots

https://gerrit.wikimedia.org/r/529981

Change 530217 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/tools/api-testing@master] Add support for snapshots of local database install

https://gerrit.wikimedia.org/r/530217

daniel claimed this task.Sep 12 2019, 7:17 PM

Change 530217 merged by Holger Knust:
[mediawiki/tools/api-testing@master] Add support for snapshots of local database install

https://gerrit.wikimedia.org/r/530217

daniel closed this task as Resolved.Fri, Sep 20, 10:22 AM